import { Component, OnInit, Input } from '@angular/core';
import { Router } from '@angular/router';
import {InnerAdminPagesComponent} from '../inner-admin-pages.component'
import { ForinneradminService} from '../forinneradmin.service';
import { NavBarService } from '../../admin.service';
import { Location } from '@angular/common';

@Component({
  selector: 'app-inner-header',
  templateUrl: './inner-header.component.html',
  styleUrls: ['./inner-header.component.scss'],
  providers: [NavBarService]
})
export class InnerHeaderComponent implements OnInit {
  tile: any;
  passedId: any;
  passedArray: any;

  @Input() leftTiles;
  @Input() sentId;

  constructor(private _data: ForinneradminService, private location: Location, private router: Router) { 
   
  }

  ngOnInit() {
    this.tile = this.sentId;
    console.log( this.tile);
  }

  navigateToAdminLanding() {
    this.passedArray = null;
    this.sentId = null;
    this.router.navigate(['/admin']);
  }

}
